| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiPython::Bindings::iJobOptSvc Class Reference

Inheritance diagram for GaudiPython::Bindings::iJobOptSvc:

[legend]
Collaboration diagram for GaudiPython::Bindings::iJobOptSvc:

[legend]

List of all members.

## Detailed Description

    Python-image of C++ class IJobOptionsSvc

Definition at line 480 of file Bindings.py.

## Public Member Functions
def | __init__
| constructor
def | getProperties
def | getProperty

## Member Function Documentation

def GaudiPython::Bindings::iJobOptSvc::__init__ | ( |  | self,
|  |  | name,
|  |  | svc |
| ) |  |  |

constructor

    constructor

Reimplemented from GaudiPython::Bindings::iService.

Definition at line 485 of file Bindings.py.

    00485                                     :
    00486     """ constructor """
    00487     self.__dict__['_optsvc'] = InterfaceCast(gbl.IJobOptionsSvc)(svc)
    00488     return iService.__init__( self , name , svc )
      def getProperties( self , component ) :

def GaudiPython::Bindings::iJobOptSvc::getProperties | ( |  | self,
|  |  | component |
| ) |  |  |

    Extract *ALL* properties of the given component
    Usage :
    >>> jos   = gaudi.optSvc()
    >>> props = jos.getProperties( 'Name' )

Definition at line 489 of file Bindings.py.

    00489                                         :
    00490     """
    00491     Extract *ALL* properties of the given component
    00492     Usage :
    00493     >>> jos   = gaudi.optSvc()
    00494     >>> props = jos.getProperties( 'Name' )
    00495     """
    00496     props = self._optsvc.getProperties( component )
    00497     prps = {}
    00498     if not props : return  prps              # RETURN
    00499     for p in props :
    00500       prop  = p.name().upper()
    00501       try :
    00502         value = eval( p.value() , {} , {} )
    00503       except: value = p.value()
    00504       prps [ prop ] = value
    00505
    00506     return prps                               # RETURN
      def getProperty ( self , component , name ) :

def GaudiPython::Bindings::iJobOptSvc::getProperty | ( |  | self,
|  |  | component,
|  |  | name |
| ) |  |  |

    Get a certain property of the certain component
    Usage:
    >>> jos  = ...
    >>> extServices = jos.getProperty( 'ApplicationMgr', 'ExtSvc' )

Definition at line 507 of file Bindings.py.

    00507                                               :
    00508     """
    00509     Get a certain property of the certain component
    00510     Usage:
    00511     >>> jos  = ...
    00512     >>> extServices = jos.getProperty( 'ApplicationMgr', 'ExtSvc' )
    00513     """
    00514     ## get all properties of the component
    00515     all = self.getProperties ( component )
    00516     return all.get( name.upper() , None )     # RETURN
    00517
    00518 #----iEventSelector class------------------------------------------------------------------
    class iEventSelector(iService):

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPython/python/GaudiPython/Bindings.py